Subject: pkg/23607: upgrade patches for amaya-8.2
To: None <>
From: None <>
List: netbsd-bugs
Date: 12/01/2003 18:10:34
>Number:         23607
>Category:       pkg
>Synopsis:       patches for amaya-8.2 upgrade from amaya-8.0nb2
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon Dec 01 17:13:00 UTC 2003
>Release:        NetBSD 1.6.1
System: NetBSD tri 1.6.1 NetBSD 1.6.1 (TRI) #6: Sun Nov 2 18:10:02 CET 2003 root@tri:/usr/src/sys/arch/i386/compile/TRI i386
Architecture: i386
Machine: i386
	I have ported the 3 patches currently used for building amaya-8.0nb2
	to amaya-8.2 and would like to share them with the pkgsrc system.
	I have packed the files and made the tarball available at :
	This tarball contains the following files :

	DESCR and patch-aa hasn't changed.
	patch-ab and patch-ac are the "upgraded" patchs.
	Makefile should be OK.
	I used "find" and "sort" to upgrade PLIST because I only discovered
	"make print-PLIST" today (shame on me). PLIST should however be OK.

	I did *not* remove nor change the revision IDs on patch-aa, distinfo,
	PLIST and Makefile. I haven't included any in patch-a[bc].

	I did play a little with amaya-8.2 and it looks like it is OK.
	However, it still lacks https support and it is not very easy to use.

	I know it is probably not going to get inserted in pkgsrc soon
	(and I think it is good to stick to stable releases), but I thought
	it could be a good idea to make the patches available to you before
	anyone goes through the same process of creating them again.

	Can't resist writing that I'm addicted to NetBSD.
	P.S. Please let me know if refuses to serve.